Pave Bank

List Pledges

Lender or BorrowerViewer Access

Lists pledges under your agreements, as lender or borrower, with their current unit breakdown

GET
/v1/collateral/pledges

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Query Parameters

agreement_idstring

Filter by agreement ID

external_idstring

Filter by the agreement's external_id

statusstring

Filter by pledge status

Value in: "pending" | "approved" | "rejected" | "removed"
page_sizeinteger

Number of results per page. Defaults to 20, maximum 50.

Format: int64
page_tokenstring

Token from a previous response's next_page_token to fetch the next page

Response Body

Success response

dataRequiredarray<object>
next_page_tokenRequiredstring

Empty when there are no more results

total_countinteger
Format: int64
curl -X GET "https://developer-api-staging.pavebank.dev/v1/collateral/pledges?agreement_id=string&external_id=string&status=pending&page_size=0&page_token=string" \
  -H "Authorization: Bearer <token>"
{
  "data": [
    {
      "id": "string",
      "collateral_agreement_id": "string",
      "status": "pending",
      "asset": "string",
      "instrument_type": "string",
      "borrower_account_id": "string",
      "lender_account_id": "string",
      "total_units": "string",
      "locked_units": "string",
      "available_units": "string",
      "market_value_per_unit": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "next_page_token": "string",
  "total_count": 0
}